desc 'Prepares VisualUseCase project structure and configuration.'
task :prepare_vuc_project do |t, args|
  require 'fileutils'
  require 'uu_os_vuc-server/version'

  gemfile = File.join(Dir.pwd, 'Gemfile')
  if !File.exists?(gemfile)
    out = File.open(gemfile, 'w+')
    out.write("source 'http://gems.plus4u.net' do\n")
    out.write(" gem 'uu_os_vuc-server', '~>#{UUOSVUCServer::VERSION.split('.')[0..1].join('.')}'\n")
    out.write("end\n\n")
    out.write("source 'http://rubygems.org' do\n")
    out.write("  # Thirdparty dependencies...\n")
    out.write("end\n\n")
    out.close
  end

  # Prepare common server project structure.
  Rake::Task["prepare_app_project"].execute

end
